Name: x11-font-alias
Version: 1.0.4
Release: %mkrel 1
Summary: Xorg X11 font alias
Group: Development/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/font/font-alias-%{version}.tar.bz2
License: MIT-like
BuildArch: noarch

Requires(post): mkfontdir
Requires(post): mkfontscale

BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-font-util

%description
Xorg X11 font aliases

%prep
%setup -q -n font-alias-%{version}

%build
# to recognize aarch64
autoreconf -vfi

./configure --prefix=%{_prefix} --with-fontrootdir=%_datadir/fonts

%make_build

%install
%make_install

# create empty ghost files
for dir in 100dpi 75dpi cyrillic misc OTF Speedo TTF Type1; do
	mkdir -p %{buildroot}%_datadir/fonts/$dir
	touch %{buildroot}%_datadir/fonts/$dir/fonts.{dir,scale}
done

# fontpath.d symlinks
mkdir -p %{buildroot}%_sysconfdir/X11/fontpath.d/
ln -s ../../..%_datadir/fonts/misc \
	%{buildroot}%_sysconfdir/X11/fontpath.d/misc:unscaled:pri=10
ln -s ../../..%_datadir/fonts/75dpi \
	%{buildroot}%_sysconfdir/X11/fontpath.d/75dpi:unscaled:pri=20
ln -s ../../..%_datadir/fonts/100dpi \
	%{buildroot}%_sysconfdir/X11/fontpath.d/100dpi:unscaled:pri=30
for dir in cyrillic OTF Speedo TTF Type1; do
	ln -s ../../..%_datadir/fonts/$dir \
		%{buildroot}%_sysconfdir/X11/fontpath.d/$dir:pri=40
done

%post
for dir in 100dpi 75dpi cyrillic misc OTF Speedo TTF Type1; do
    cd %_datadir/fonts/$dir
    mkfontscale
    mkfontdir
done

%files
%dir %_datadir/fonts/misc
%dir %_datadir/fonts/100dpi
%dir %_datadir/fonts/75dpi
%dir %_datadir/fonts/cyrillic
%dir %_datadir/fonts/OTF
%dir %_datadir/fonts/Speedo
%dir %_datadir/fonts/TTF
%dir %_datadir/fonts/Type1

# XXX: this may be fragmented inside individual
# x11 fontpackages, but it's OK by now
%_sysconfdir/X11/fontpath.d/misc:unscaled:pri=10
%_sysconfdir/X11/fontpath.d/75dpi:unscaled:pri=20
%_sysconfdir/X11/fontpath.d/100dpi:unscaled:pri=30
%_sysconfdir/X11/fontpath.d/cyrillic:pri=40
%_sysconfdir/X11/fontpath.d/OTF:pri=40
%_sysconfdir/X11/fontpath.d/Speedo:pri=40
%_sysconfdir/X11/fontpath.d/TTF:pri=40
%_sysconfdir/X11/fontpath.d/Type1:pri=40

%_datadir/fonts/100dpi/fonts.alias
%_datadir/fonts/75dpi/fonts.alias
%_datadir/fonts/cyrillic/fonts.alias
%_datadir/fonts/misc/fonts.alias

# fonts.dir and fonts.scale files
%_datadir/fonts/100dpi/fonts.dir
%_datadir/fonts/100dpi/fonts.scale
%_datadir/fonts/75dpi/fonts.dir
%_datadir/fonts/75dpi/fonts.scale
%_datadir/fonts/cyrillic/fonts.dir
%_datadir/fonts/cyrillic/fonts.scale
%_datadir/fonts/misc/fonts.dir
%_datadir/fonts/misc/fonts.scale
%_datadir/fonts/OTF/fonts.dir
%_datadir/fonts/OTF/fonts.scale
%_datadir/fonts/Speedo/fonts.dir
%_datadir/fonts/Speedo/fonts.scale
%_datadir/fonts/TTF/fonts.dir
%_datadir/fonts/TTF/fonts.scale
%_datadir/fonts/Type1/fonts.dir
%_datadir/fonts/Type1/fonts.scale





%changelog
* Wed Aug 26 2020 tv <tv> 1.0.4-1.mga8
+ Revision: 1619099
- 1.0.4
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 1.0.3-10.mga8
+ Revision: 1508256
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.0.3-9.mga7
+ Revision: 1292144
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.0.3-8.mga7
+ Revision: 1234008
- drop old conflicts
- fix build on aarch64

* Tue Feb 02 2016 umeabot <umeabot> 1.0.3-7.mga6
+ Revision: 931314
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-6.mga5
+ Revision: 745429
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-5.mga5
+ Revision: 690481
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-4.mga4
+ Revision: 520294
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.3-3.mga3
+ Revision: 386079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 ahmad <ahmad> 1.0.3-2.mga3
+ Revision: 8091
- make the conflict generic
- imported package x11-font-alias

